<?php
namespace Bushelpowered\Api\Trade\Offers\V1\Request;
        
class ESignSignedRequest 
{
    public string $datasourceId;
    public string $tenantId;
    public string $contractSourceId;
    public string $contractSourceDisplayId;
    public string $contractSourceCustomerId;
    public string $contractSourceCommodityId;
    public string $email;
    public string $message;
    public string $subject;
    public string $title;
    public bool $hasError;
    public bool $isTest;
    public ?int $archivedAt = null;
    public ?int $completedAt = null;
    public int $createdAt;
    public ?int $declinedAt = null;
    public ?int $invalidAt = null;
    public ?int $pendingAt = null;

    /**
     */
    public function __construct(string $datasourceId, string $tenantId, string $contractSourceId, string $contractSourceDisplayId, string $contractSourceCustomerId, string $contractSourceCommodityId, string $email, string $message, string $subject, string $title, bool $hasError, bool $isTest, ?int $archivedAt, ?int $completedAt, int $createdAt, ?int $declinedAt, ?int $invalidAt, ?int $pendingAt)
    {
        $this->datasourceId = $datasourceId;
        $this->tenantId = $tenantId;
        $this->contractSourceId = $contractSourceId;
        $this->contractSourceDisplayId = $contractSourceDisplayId;
        $this->contractSourceCustomerId = $contractSourceCustomerId;
        $this->contractSourceCommodityId = $contractSourceCommodityId;
        $this->email = $email;
        $this->message = $message;
        $this->subject = $subject;
        $this->title = $title;
        $this->hasError = $hasError;
        $this->isTest = $isTest;
        $this->archivedAt = $archivedAt;
        $this->completedAt = $completedAt;
        $this->createdAt = $createdAt;
        $this->declinedAt = $declinedAt;
        $this->invalidAt = $invalidAt;
        $this->pendingAt = $pendingAt;
    }
    

}